local basic = require("lib.basic")
local hash = require("lib.hash")

local systemConfig = basic.readFileAll("/brulijam/config/system.config")
systemConfig = textutils.unserialize(systemConfig)

if os.getComputerLabel() == nil or os.getComputerLabel() == "" then
  local labelMainPart = string.sub(hash.digestStr(string.format(os.getComputerID())), 1, 6)
  os.setComputerLabel(systemConfig["labelPrefix"] .. "-" .. labelMainPart)
end